<template>
  <div class="steps">
    <div class="left">
      <img
        v-if="active == 0"
        src="/images/register/注册_基本信息_选中.png"
        alt=""
      />
      <img
        v-if="active == 1"
        src="/images/register/注册_基本信息-未选中.png"
        alt=""
      />
      <div class="label" :class="{ colorLight: active == 1 }">基本信息</div>
    </div>

    <div class="middle"></div>

    <div class="right">
      <img
        v-if="active == 0"
        src="/images/register/注册_选择类型_未选中.png"
        alt=""
      />
      <img
        v-if="active == 1"
        src="/images/register/注册_选择类型_选中.png"
        alt=""
      />
      <div
        class="label"
        :class="{ colorLight: active == 0, colorBlue: active == 1 }"
      >
        选择类型
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    active: {
      type: Number,
    },
  },
};
</script>

<style lang="scss" scoped>
.steps {
  overflow: hidden;
  display: flex;
  height: 116px;
  padding: 0 136px;
  justify-content: space-between;

  img {
    margin: 20px 0 10px 0;
    width: 36px;
  }

  .left,
  .right {
    text-align: center;
  }

  .middle {
    margin-top: 44px;
    width: 243px;
    height: 0;
    border-top: 1px solid #d8dde5;
  }
}
</style>